#ifndef HEAD
#define HEAD

#include <stdio.h>
#include <stdlib.h>
#include <inttypes.h>
#include <time.h>

#define AVG_TIME_LOOPS 1
#define AVG_RAND_MAX 100000
#define MILLION 1000000

void sort_radix(uint32_t* arr,int n);
void sort_heap(uint32_t* arr,int n);
void sort_bubble(uint32_t* arr,int n);
void sort_merge(uint32_t* arr,int left, int right);


void run_exp();

#endif

